Package name.pachler.nio.file.impl

# Class PathWatchEvent

java.lang.Object
name.pachler.nio.file.WatchEvent<Path>
name.pachler.nio.file.impl.PathWatchEvent

public class PathWatchEvent extends WatchEvent<Path>

## Nested Class Summary

## Nested classes/interfaces inherited from class name.pachler.nio.file.WatchEvent

`WatchEvent.Kind<T>, WatchEvent.Modifier<T>`

## Constructor Summary

Constructors
Constructor
Description
`PathWatchEvent(WatchEvent.Kind<Path> kind, Path path, int count)`

## Method Summary

Modifier and Type
Method
Description
`Path`
`context()`
`int`
`count()`
The number of times this event occurred, if it is cumulative.
`WatchEvent.Kind<Path>`
`kind()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PathWatchEvent

public PathWatchEvent(WatchEvent.Kind<Path> kind, Path path, int count)

## Method Details

### context

public Path context()

Specified by:
  `context` in class `WatchEvent<Path>`
Returns:
  the context of this event, which is usually a reference to the object that has changed. In the case of WatchEvents for Path, the context will be a `Path` to the file that this event refers to, relative to the watched `Path`

### count

public int count()
Description copied from class: `WatchEvent`
The number of times this event occurred, if it is cumulative. It is not specified how events cumulate, so use this value for informational purposes only.

Specified by:
  `count` in class `WatchEvent<Path>`
Returns:
  the number of times this event has occurred, in case events of this kind have been aggregated into one WatchEvent instance.

### kind

public WatchEvent.Kind<Path> kind()

Specified by:
  `kind` in class `WatchEvent<Path>`
Returns:
  the kind of event that occurred. This will indicate what actually happened, for instance, StandardWatchEventKind#ENTRY_CREATE indicates that a file has been created.

### toString

public String toString()

Overrides:
  `toString` in class `Object`